io.undertow.server.handlers.cache

## Class CachedHttpRequest

- java.lang.Object
- - io.undertow.server.handlers.cache.CachedHttpRequest

    public class CachedHttpRequest
    extends Object

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`CachedHttpRequest(HttpServerExchange exchange)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getContentEncoding()`
`String` `getContentLocation()`
`String` `getContentType()`
`ETag` `getEtag()`
`String` `getLanguage()`
`Date` `getLastModified()`
`String` `getPath()`
`int` `getResponseCode()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedHttpRequest

    public CachedHttpRequest(HttpServerExchange exchange)

### Method Detail

#### getPath

    public String getPath()

#### getEtag

    public ETag getEtag()

#### getContentEncoding

    public String getContentEncoding()

#### getLanguage

    public String getLanguage()

#### getContentType

    public String getContentType()

#### getLastModified

    public Date getLastModified()

#### getContentLocation

    public String getContentLocation()

#### getResponseCode

    public int getResponseCode()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`